class Contact
  include Mongoid::Document
  include Mongoid::Timestamps
  include ActiveModel::ForbiddenAttributesProtection

  field :comment, type: String, default: ""
  field :contactor, type: String, default: ""
  field :done, type: Boolean

  embedded_in :user
end

