module WinewooCore::Repositories::Mongo
  class GlobalWineDataMongoRepo

    def get(wine_data_id)
      wine_data_id == 'first' ?
        GlobalWineData.first :
        (wine_data_id && GlobalWineData.find(wine_data_id))
    end


    def update(wine_data_id, data_params)
      return unless wine_data_id
      wine_data = GlobalWineData.find(wine_data_id)
      return unless wine_data
      wine_data.update_attributes(data_params)
      return wine_data
    end
  end
end
