module WinewooCore::Repositories::Mongo
  class InterproVintagesMongoRepo

    def get(wine_id, vintage_id)
      return unless (wine_id && vintage_id)
      wine = WinewooCore::Repositories::Mongo::Queries::WineQuery.new.published.find(wine_id)
      return unless wine
      WinewooCore::Repositories::Mongo::Queries::VintageQuery.new(wine.vintages).find(vintage_id)
    end
  end
end
