module WinewooCore::Repositories::Mongo
  class InterproWinesMongoRepo

    def get(wine_id)
      return unless wine_id
      WinewooCore::Repositories::Mongo::Queries::WineQuery.new.published.find(wine_id)
    end


    def find(filters)
      WinewooCore::Services::Finders::Wines::WinesFinderBuilder.build(filters).find
    end
  end
end
