module WinewooCore::Repositories::Mongo::Queries
  class PictoQuery < WinewooQuery

    def initialize(relation = PictoElement)
      super relation
    end

    def from_category(category)
      @relation = @relation
        .where(category: category)

      block_given? ?
        @relation.each { |picto| yield picto } :
        self
    end

    def by_name
      @relation = @relation
        .asc(:name)

      block_given? ?
        @relation.each { |picto| yield picto } :
        self
    end
  end
end
