module WinewooCore::Services::ElasticSearch
  class Parsers::WinesParser

    class << self

      def parse(raw_data)
        ids = raw_data.map { |raw_entry| raw_entry["_id"] }
        # TODO UNOFFICIALS
        # query = WinewooCore::Repositories::Mongo::Queries::WineQuery.new.officials.published
        Rails.logger.info "WINEWOO IDS #{ids.to_json}"
        query = WinewooCore::Repositories::Mongo::Queries::WineQuery.new.officials.published
        query.find(ids)
      end
    end
  end
end
