module WinewooCore::Services::Finders::Comments
  class CurrentWinewooUserCommentsFinder < CommentsFinder

    def initialize(current_winewoo_user, filters)
      super(filters)
      @current_winewoo_user = current_winewoo_user
    end


    def find
      return unless @current_winewoo_user
      return @current_winewoo_user.user_comments
        .page(@page || 1)
        .per(@per_page || Kaminari::config.default_per_page)
    end
  end
end
