module WinewooCore::Services::Finders::Wines
  class ListOfWinesFinder < WinesFinder

    def find
      wines = @filters.list_of_wines.map do |w|
        wine =  Wine.find(w[:id])
        wine if wine.published? && wine.official?
        # TODO UNOFFICIALS
        # wine if wine.published? && wine.official?
      end
      return wines.compact, nil, nil
    end
  end
end
