module WinewooCore::Services::Finders::Wines
  class ProducerWinesFinder < WinesFinder

    def find
      query = WinewooCore::Repositories::Mongo::Queries::WineQuery.new(@producer.wines).officials.published
      query = query.from_interpro(@interpro.id) if @interpro

      wines = query.page(@page || 1)
        .per(@per_page || Kaminari::config.default_per_page)

      return wines, nil, query.count
    end
  end
end
