module WinewooCore::UseCases
  class WinewooUser::Account::ShowWinewooUser < BaseUseCase

    def initialize(log_params=nil)
      super(WinewooCore.winewoo_users_repo.new, log_params)
    end


    def call(winewoo_user_id)
      winewoo_user = self.repo.get(winewoo_user_id)
      yield winewoo_user ?
        UseCaseResults.found(winewoo_user) :
        UseCaseResults.not_found
    end
  end
end
