module WinewooCore::UseCases
  class WinewooUser::Favorites::GetFavorites < BaseUseCase

    def initialize(log_params=nil)
      super(WinewooCore.favorites_repo.new, log_params)
    end


    def call(winewoo_user, filters)
      favorites = self.repo.find(winewoo_user, filters)

      yield favorites ?
        UseCaseResults.found(favorites) :
        UseCaseResults.failure
    end
  end
end
