module WinewooCore::UseCases
  class WinewooUser::History::GetHistory < BaseUseCase

    def initialize(log_params=nil)
      super(WinewooCore.history_repo.new, log_params)
    end


    def call(winewoo_user, filters)
      history_entries = self.repo.find(winewoo_user, filters)

      yield history_entries ?
        UseCaseResults.found(history_entries) :
        UseCaseResults.failure
    end
  end
end
