module WinewooCore::UseCases
  class WinewooUser::News::CreateNewsFeed < BaseUseCase

    def initialize(log_params=nil)
      super(WinewooCore.feed_repo.new, log_params)
    end


    def call(log)
      if (log.action == "wine_from_scan") ||
          (log.action == "wine_from_pending_scan") ||
          (log.action == "wine_from_camfind") ||
          (log.action == "comment_wine")
        self.repo.create(log)
      end
    end
  end
end
