# Avoid error with $oid.
# Make serializers work without overriding id to return object.id.to_s.
#
# https://github.com/mongoid/mongoid/issues/3626
# https://github.com/plataformatec/devise/issues/2949
#
module BSON
  class ObjectId
    def as_json(*args)
      to_s
    end
  end
end
