class AuthorValidator < ActiveModel::EachValidator

  def validate_each(record, attribute, value)
    if record.vintage
      if record.vintage.user_comments.find_by(winewoo_user_id: value)
        record.errors[:user] = 'has already posted a comment.'
        return false
      end
    end
    return true
  end
end

