module WinewooCore::Services::Finders::Comments
  class WineCommentsFinder < CommentsFinder

    def initialize(wine_id, filters)
      super(filters)
      @wine_id = wine_id
    end


    def find
      return unless @wine_id
      wine = Wine.find(@wine_id)
      return wine.vintages.map(&:user_comments).flatten if wine
    end
  end
end
