module WinewooCore::Services::Finders::Comments
  class WinewooUserCommentsFinder < CommentsFinder

    def initialize(winewoo_user_id, filters)
      super(filters)
      @winewoo_user_id = winewoo_user_id
    end


    def find
      return unless @winewoo_user_id
      winewoo_user = User.find(@winewoo_user_id)
      return unless winewoo_user
      return winewoo_user.user_comments
        .page(@page || 1)
        .per(@per_page || Kaminari::config.default_per_page)
    end
  end
end
