module WinewooCore::Services::Finders::Producers
  class KeywordsProducersFinder < ProducersFinder

    def find
      query = WinewooCore::Repositories::Mongo::Queries::ProducerQuery.new
      query = query.from_interpro(@interpro.id) if @interpro
      query.full_text_search(@filters.query)
        .page(@page || 1)
        .per(@per_page || Kaminari::config.default_per_page)
    end
  end
end
