module WinewooCore::Services::Finders::Wines
  class InterproWinesFinder < WinesFinder

    def find
      query = WinewooCore::Repositories::Mongo::Queries::WineQuery.new
        .officials
        .from_interpro(@interpro.id)

      wines = query.page(@page || 1)
        .per(@per_page || Kaminari::config.default_per_page)

      return wines, nil, query.count
    end
  end
end
