module WinewooCore::Services::Finders::Wines
  class KeywordsWinesFinder < WinesFinder

    def find
      query = @interpro ?
        WinewooCore::Repositories::Mongo::Queries::WineQuery.new.officials.published :
        WinewooCore::Repositories::Mongo::Queries::WineQuery.new.officials.published
      # TODO UNOFFICIALS
      # query = query.officials.from_interpro(@interpro.id) if @interpro
      query = query.from_interpro(@interpro.id) if @interpro
      query = query.full_text_search(@filters.query, match: :all)

      wines = query.page(@page || 1)
        .per(@per_page || Kaminari::config.default_per_page)

      return wines, "search", query.count
    end
  end
end
