module WinewooCore::UseCases
  class Producers::ListProducers < BaseUseCase

    def initialize(log_params=nil)
      super(WinewooCore.producers_repo.new, log_params)
    end


    def call(filters)
      producers = self.repo.find(filters)

      yield producers ?
        UseCaseResults.found(producers) :
        UseCaseResults.failure
    end
  end
end
