module WinewooCore::UseCases
  class Producers::ShowProducer < BaseUseCase

    def initialize(log_params=nil)
      super(WinewooCore.producers_repo.new, log_params)
    end


    def call(producer_id)
      producer = self.repo.get(producer_id)

      yield producer ?
        UseCaseResults.found(producer) :
        UseCaseResults.not_found
    end
  end
end
