module WinewooCore::UseCases
  class SearchCriterions::ListCriterions < BaseUseCase

    def initialize(log_params=nil)
      super(WinewooCore.criterions_repo.new, log_params)
    end


    def call(filters)
      criterions = self.repo.find(filters)

      yield criterions ?
        UseCaseResults.found(criterions) :
        UseCaseResults.not_found
    end
  end
end
