module WinewooCore::UseCases
  class WinewooUser::Cellar::GetCellar < BaseUseCase

    def initialize(log_params=nil)
      super(WinewooCore.cellar_repo.new, log_params)
    end


    def call(winewoo_user, filters)
      cellar_entries = self.repo.find(winewoo_user, filters)

      yield cellar_entries ?
        UseCaseResults.found(cellar_entries) :
        UseCaseResults.failure
    end
  end
end
