module WinewooCore::UseCases
  class WinewooUser::News::ListNewsFeed < BaseUseCase

    def initialize(log_params=nil)
      super(WinewooCore.feed_repo.new, log_params)
    end


    def call(filters, with_error)
      tweets = self.repo.find(filters, with_error)
      yield UseCaseResults.found(tweets)
    end
  end
end
